;; Quail package chinese-py
;;   Generated by the command miscdic-convert
;;   Source dictionary file: pinyin.map
;;   Copyright notice of the source file
;;------------------------------------------------------
;; "pinyin.map" is included in a free package called CCE.  It is
;; available at:
;;	http://ftp.debian.org/debian/dists/potato/main
;;		/source/utils/cce_0.36.orig.tar.gz
;; This package contains the following copyright notice.
;;
;;
;;             Copyright (C) 1999, Rui He, herui@cs.duke.edu
;;
;;
;;                  CCE(Console Chinese Environment) 0.32
;;
;; CCE is free software; you can redistribute it and/or modify it under the
;; terms of the GNU General Public License as published by the Free Software
;; Foundation; either version 1, or (at your option) any later version.
;;
;; CCE is distributed in the hope that it will be useful, but WITHOUT ANY
;; WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
;; FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
;; details.
;;
;; You should have received a copy of the GNU General Public License along with
;; CCE.  If not, see <https://www.gnu.org/licenses/>.
;;------------------------------------------------------

;;; Code:

(require 'quail)
(quail-define-package "chinese-py" "Chinese-GB" "ƴG" t
"ƴ

	ƴ

 СдӢĸƴţ \"u(yu)  u: ʾ

Pinyin base input method for Chinese charset GB2312 (`chinese-gb2312').

Pinyin is the standard roman transliteration method for Chinese.
Pinyin uses a sequence of Latin alphabetic characters for each Chinese
character.  The sequence is made by the combination of the initials
(the beginning sounds) and finals (the ending sounds).

  initials: b p m f d t n l z c s zh ch sh r j q x g k h
  finals: a o e i er ai ei oa ou an en ang eng ong i ia iao ie iu ian in
          iang ing iong u ua uo uai ui uan un uan ueng yu yue yuan yun

  (Note: In the correct Pinyin writing, the sequence \"yu\" in the last
   four finals should be written by the character u-umlaut `'.)

With this input method, you enter a Chinese character by first
entering its pinyin spelling.

\\<quail-translation-docstring>

For instance, to input , you type \"n i C-n 3\".  The first \"n i\"
is a Pinyin, \"C-n\" selects the next group of candidates (each group
contains at most 10 characters), \"3\" select the third character in
that group.

This input method supports only Han characters.  The related input
method `chinese-py-punct' is the combination of this method and
`chinese-punct'; it supports both Han characters and punctuation
characters.

For double-width GB2312 characters corresponding to ASCII, use the
input method `chinese-qj'.

The correct Pinyin system specifies tones by diacritical marks, but
this input method doesn't use them, which results in easy (you don't
have to know the exact tones), but verbose (many characters are assigned
to the same key sequence) input.  You may also want to try the input
method `chinese-tonepy' with which you must specify tones by digits
(1..5)."
  '(("" . quail-delete-last-char)
   ("." . quail-next-translation)
   (">" . quail-next-translation)
   ("," . quail-prev-translation)
   ("<" . quail-prev-translation))
  nil nil nil nil)

(quail-define-rules
("a" "߹")
("ai" "")
("an" "ư")
("ang" "")
("ao" "°İ")
("ba" "Ѱ˰ɰͰְհΰȰŰ԰аǰ̰ϰӰʰᱰ")
("bai" "ٰװܰڲݰ۰")
("ban" "߰")
("bang" "亰")
("bao" "ٰ")
("bei" "㣱±ɱ")
("ben" "")
("beng" "±ı괱԰")
("bi" "ȱرʱϱұܱձǱ˱Ʊڱ۱ױ̱ɱбαذ赱ֱ㹱޵Աݩ")
("bian" "߱ޱ")
("biao" "ڱ")
("bie" "")
("bin" "ı")
("bing" "")
("bo" "ذ粤뢲")
("bu" "߲")
("ca" "")
("cai" "Ųɲ˲ƲĲʲò²̲Ȳ")
("can" "βͲвҲӲѲ")
("cang" "زԲֲײ")
("cao" "ݲٲܲв")
("ce" "߲޲")
("cen" "")
("ceng" "")
("cha" "ɲ")
("chai" "٭")
("chan" "Ʋ")
("chang" "ȳ潲")
("chao" "³")
("che" "")
("chen" "Ƴ³óĳ衳")
("cheng" "ɳǳ̳Ƴгʢ˳ʳųͳγة")
("chi" "Գֳٳ߳سճݳ۳ܳ׳ള߳ܯ")
("chong" "س")
("chou" "㰳ٱ")
("chu" "ƴۻء")
("chuai" "")
("chuan" "밴")
("chuang" "")
("chui" "")
("chun" "ݻ")
("chuo" "´")
("ci" "˴δʲ̴ǴȴŴʹȴĴ")
("cong" "ӴҴϴԴд")
("cou" "")
("cu" "ٴִش")
("cuan" "ܴܴ۴ߥ")
("cui" "ߴݴʹ")
("cun" "")
("cuo" "")
("da" "")
("dai" "쵡ʴ߾ܤ߰")
("dan" "壵̵")
("dang" "")
("dao" "߶")
("de" "ĵõ")
("deng" "ȵǵƵ˵ʵɵ")
("di" "ص׵͵۵ܵеֵݵεϵٵ̵ѵ޵ڮеۡյݶص")
("dia" "")
("dian" "ߵڵؼ")
("diao" "")
("die" "ܦ")
("ding" "궧")
("diu" "")
("dong" "˶")
("dou" "")
("du" "ȶɶǶŶö¶Ķ빶ƶܶ")
("duan" "϶ζ̶˶Ͷ")
("dui" "ԶӶѶ")
("dun" "ٶֶܶض׶ڶ")
("duo" "Ͷ߶Զ")
("e" "Ŷ㵶ج湶ݭ")
("ei" "")
("en" "")
("er" "Ƕܷ٦")
("fa" "ҷ")
("fan" "ެ")
("fang" "ŷ÷·ݷ")
("fei" "ǷѷɷϷʷȷзƷη˷")
("fen" "ַݷ׷ܷ߷۷շҷطٷ޷Է")
("feng" "ٺۺ")
("fo" "")
("fou" "")
("fu" "򸮷ܽڸݳ߻ۮ")
("ga" "θ¸٤")
("gai" "ĸøŸؤ")
("gan" "иɸҸϸʸθϸϸ͸ߦո")
("gang" "ո۸ָڸٸ׿ܸԸ")
("gao" "߸޸غ޻ɸݸھ۬")
("ge" "تܪ")
("gei" "")
("gen" "بݢ")
("geng" "ṡ")
("gong" "Ź")
("gou" "ڸ")
("gu" "ʹŹ˹ɹĹùǹ̹¹ȹ͹ڬ")
("gua" "ҹϹιɹԹڴ")
("guai" "ֹԹ")
("guan" "ع۹ܹٹݹ߹ڹ޹ݸ")
("guang" "")
("gui" "Ȳ")
("gun" "޹")
("guo" "")
("ha" "")
("hai" "ٿȺ")
("han" "ۺ")
("hang" "кﺼ")
("hao" "úźƺ𩺿껺º尸޶")
("he" "ͺκϺӺȺպźغкǺ̺ɺֺҺڭ")
("hei" "ں")
("hen" "ܺ޺ݺ")
("heng" "ߺ޿")
("hong" "ްڧޮݦ")
("hou" "ܩ")
("hu" "䰻")
("hua" "뻫")
("huai" "")
("huan" "û»߻ۼٻۨߧ")
("huang" "ƻʻĻλŻͻ̻лɻ˻")
("hui" "ػӻԻһݻٻڻֻۻջ߻޻ڶ๻ޥ")
("hun" "ƻڻ")
("huo" "ͻ߫޽")
("ji" "ǼƼüļʼͻ漱̼Ȼżɼߴ˼᧼ؽڵ٥ܸآު")
("jia" "ҼӼۼټܼ׼Ѽݼм޼μּٮЮļ٤ռۣ")
("jian" "콡潣߼Խﵽ")
("jiang" "ǿ筽")
("jiao" "̽УнϽǽŽνɽʽȽýٮƽ毽ѽ˽𨽶ͽԽܴ")
("jie" "ӽڽֽ׽ܽԽݽؽҽٽ߽޽ٽڵڦܽ")
("jin" "ƽݣ")
("jing" "㽾캾ɾݼ")
("jiong" "")
("jiu" ";žƾþɾȾξ˾ľ౾־Ǿ")
("ju" "־ݾӾپ߾޾۾ܾվоؽ۾ԾϾ׾ľƾڪ︾")
("juan" "۲")
("jue" "ŽȾǾާ")
("jun" "޾ܿ")
("ka" "")
("kai" "")
("kan" "٩ݨ")
("kang" "")
("kao" "")
("ke" "ɿ˿ƿͿ̿οſʿºǿ㡿ȿĿǿ")
("ken" "Ͽҿп")
("keng" "ӿ")
("kong" "տֿؿ")
("kou" "ڿۿٿߵޢ")
("ku" "޿ݿܥ")
("kua" "٨")
("kuai" "ۦ")
("kuan" "")
("kuang" "ڲڿ")
("kui" "ӿѿظ")
("kun" "")
("kuo" "")
("la" "")
("lai" "")
("lan" "")
("lang" "ݹ")
("lao" "")
("le" "߷")
("lei" "ڳ")
("leng" "ܨ")
("li" "ݰٵ޼ٳ۪ت޺߿")
("lia" "")
("lian" "")
("liang" "ݹܮ")
("liao" "ޤ")
("lie" "")
("lin" "")
("ling" "۹")
("liu" "½µ")
("long" "¡£¢¤")
("lou" "¥ª©§¨¦")
("lu" "·½¼¬¶³¯¹µ®«­»±²´¸¾°ºߣޤ")
("lv" "¿")
("luan" "")
("lue" "")
("lun" "")
("luo" "")
("m" "߼")
("ma" "Ĩ")
("mai" "۽ݤ")
("man" "áܬ")
("mang" "æãäâåç")
("mao" "ëðèóìñòéïîêí")
("me" "ô")
("mei" "ûÿü÷ýöúùõøݮþ")
("men" "")
("meng" "ޫ")
("mi" "")
("mian" "")
("miao" "")
("mie" "ؿ")
("min" "")
("ming" "ڤ")
("miu" "")
("mo" "ĬĪģĩĥĦįĮīĨħİĭĤĢġ")
("mou" "ĳıٰ")
("mu" "ĿĸľĻķĽĹļĺĲĶĴĵ")
("n" "")
("na" "")
("nai" "ܵؾ٦")
("nan" "")
("nang" "߭")
("nao" "ث")
("ne" "ګ")
("nei" "")
("nen" "")
("neng" "")
("ng" "")
("ni" "٣")
("nian" "إճ")
("niang" "")
("niao" "")
("nie" "ؿ")
("nin" "")
("ning" "šŢ")
("niu" "ţŦŤť")
("nong" "ũŪŨٯŧ")
("nou" "")
("nu" "ŭŬū")
("nv" "Ů")
("nuan" "ů")
("nue" "Űű")
("nuo" "ŵŲųŴ")
("o" "Ŷ")
("ou" "ŷżŹŻŸکźŽ")
("pa" "ſž")
("pai" "ٽ")
("pan" "")
("pang" "Ұ")
("pao" "")
("pei" "")
("pen" "")
("peng" "ܡ")
("pi" "ƤƨƣơƢƥƧƩƦۯاܱߨ")
("pian" "Ƭƪƫƭ")
("piao" "ƱƯƮưݳ")
("pie" "ƲƳد")
("pin" "ƷƶƴƵƸ")
("ping" "ƽƿƾƼƹƻƺٷ")
("po" "²۶")
("pou" "")
("pu" "͸")
("qi" "ؽٹܻݽޭ")
("qia" "ǡǢ٤")
("qian" "ǰǮǧǩǷǣǳǱǨǫǲǸǶǬǴǦǯٻǵǭܷݡǥǪǤ")
("qiang" "ǹǽǻǺǼǾ")
("qiao" "ڽ")
("qie" "٤ۧ")
("qin" "")
("qing" "")
("qiong" "")
("qiu" "ٴ")
("qu" "ȥȡȤȢڰ۾ޡ޾ȣ")
("quan" "ȫȨȦȰȪȯȭȮڹȧȬȩ")
("que" "ȴȷȱȸȳȶȵȲ")
("qun" "Ⱥȹ")
("ran" "ȻȾȼȽ")
("rang" "ȿ")
("rao" "")
("re" "")
("ren" "")
("reng" "")
("ri" "")
("rong" "")
("rou" "")
("ru" "޸")
("ruan" "")
("rui" "ި")
("run" "")
("ruo" "ټ")
("sa" "ئ")
("sai" "")
("san" "ɢɡ")
("sang" "ɥɣɤ")
("sao" "ɨɧɩɦܣ")
("se" "ɫɬɪ")
("sen" "ɭ")
("seng" "ɮ")
("sha" "ɱɳɶɵɲɴɯɷɰ")
("shai" "ɹɸ")
("shan" "ɽɾɿɺɼòդڨӵ۷ɻ")
("shang" "")
("shao" "ۿ")
("she" "")
("shei" "˭")
("shen" "ʲݷڷ")
("sheng" "ʡʤʥʢʣ")
("shi" "ʱʮʵʹʶʼʿʦʫʽʧʷʾʳʯʩʻʬʰʪʨʴʺ̳ʸʭ߱ݪ")
("shou" "")
("shu" "ˡٿح")
("shua" "ˢˣ")
("shuai" "˥ˤ˦˧")
("shuan" "˨˩")
("shuang" "˫ˬ˪")
("shui" "ˮ˭˰˯")
("shun" "˳˴˲˱")
("shuo" "˵˷˶˸")
("si" "˼˹˾˽˿˺˻ٹ")
("song" "ݿڡ")
("sou" "޴")
("su" "")
("suan" "")
("sui" "ݴ")
("sun" "ݥ")
("suo" "")
("ta" "̢̡̤̣")
("tai" "̨̧̫̬̩̥̭̦߾ۢ޷̪")
("tan" "̸̷̶̵̴̹̳̯̰̲̺̱̮̻̼̽̾̿۰")
("tang" "")
("tao" "ػ")
("te" "߯")
("tei" "߯")
("teng" "")
("ti" "")
("tian" "")
("tiao" "٬")
("tie" "")
("ting" "ͣͥͦͤͧ͢͡")
("tong" "ͬͨͳʹͯͮͲͭͰͱͩͫ١ͪ")
("tou" "ͷͶ͵͸")
("tu" "ͻͼ;ͽͿͺ͹ݱܢ")
("tuan" "")
("tui" "߯")
("tun" "ζ")
("tuo" "ر٢")
("wa" "۰")
("wai" "")
("wan" "ݸܹ")
("wang" "")
("wei" "ΪλδίάζΧ΢ΰνΨΣοβΥκεαηθιΤΩΡγήέξμޱΦΫ")
("wen" "")
("weng" "޳")
("wo" "ݫ")
("wu" "أ")
("xi" "ϵϢϣϲϯϰϸϷϴϧϡϤϦϮϪ϶ϱϨϥۭϬϫϩϭϳݾ")
("xia" "ϿϼϹϾϺϽϻ")
("xian" "ݲϳ޺")
("xiang" "ܼ")
("xiao" "СЦУЧФТХ")
("xie" "ЩдлЭЬЯбйвЪгаемжЮикзߢШЫޯ")
("xin" "нܰопض")
("xing" "ߩ")
("xiong" "ܺ")
("xiu" "޳")
("xu" "ڼޣ")
("xuan" "ѡȯѤѣѢ")
("xue" "ѧѪѩѨѥѦ")
("xun" "ѰѯѵѸѶѲѷѭѮѬѫѱѳ޹Ѵۨަ")
("ya" "ѹѽѺѻѼѾѿ")
("yan" "ٲܾ۱۳")
("yang" "")
("yao" "ҪҡҩҫңҦҧҢҥҤزߺԿҨس")
("ye" "ҲҵҹүҶҰҳҺҮҷקҭұҬҴҸ")
("yi" "һҽ۰߽߮ܲҾ޲٫ڱҼҿ")
("yin" "ӡط۴ܧ")
("ying" "ӦӢӰӪӭӲӳӮӯӱӥӤӬӣӨӫөݺӧ۫")
("yo" "Ӵ")
("yong" "ӵӿӻӾӹӶӽٸӺӷӸܭӼ")
("you" "ݬݯ٧ݵ")
("yu" "ԤԢԥԣԡԦعخٶ")
("yuan" "ԱԪԭԺԶԸ԰ԴԲԹԵԮԩԬԨԷԳԧԯԫܾܫ")
("yue" "ԽԼԾԻԿ")
("yun" "ܿ۩")
("za" "զ")
("zai" "")
("zan" "")
("zang" "")
("zao" "")
("ze" "զ")
("zei" "")
("zen" "")
("zeng" "")
("zha" "ըզթէգդբե߸ա")
("zhai" "ժծլխիկ")
("zhan" "սչվռմնշճյոհպտղձջ")
("zhang" "۵")
("zhao" "гگ")
("zhe" "ߡ")
("zhen" "")
("zheng" "֤֣֢ں֡")
("zhi" "ֱָֻ֪֧֮־ְֲֳִֵֶַֹֺּֽֿ֦֥֭֯֨֫֬֩شۤ")
("zhong" "ڣ")
("zhou" "ݧ")
("zhu" "סעפף٪ۥ")
("zhua" "ץצ")
("zhuai" "ק")
("zhuan" "רת׬׫ש׭")
("zhuang" "װ״׳ׯײױ׮")
("zhui" "׷׹׺׶׸׵")
("zhun" "׼׻")
("zhuo" "׽׿׾پߪ")
("zi" "֨")
("zong" "")
("zou" "۸")
("zu" "")
("zuan" "׬߬")
("zui" "ީ")
("zun" "ߤ")
("zuo" "")
)
;; Local Variables:
;; version-control: never
;; no-update-autoloads: t
;; coding: cn-gb-2312
;; End:

;;; PY.el ends here
